indata<-read.table(file = "PLOD.txt",sep = "\t",header = T,check.names = F)
classLabel<-read.table(file = "group.txt",sep = "\t",header = T,check.names = F)
indata=t(indata)
colnames(indata)=indata[1,]

indata=indata[-1,]
classLabel=classLabel[c(1:189),]
rownames(classLabel)=classLabel[,1]
classLabel=classLabel[,-1]
#plod1

  
  sampleIdsCase<-which(classLabel$PLOD1=="Low");
  sampleIdsControl<-which(classLabel$PLOD1=="High");
  probeFC<-rep(0,nrow(indata))
  for(i in 1:nrow(indata))
  {
    probeFC[i]<-mean(as.numeric(as.vector(indata[i,sampleIdsCase])))/mean(as.numeric(as.vector(indata[i,sampleIdsControl])));
  }
  probeFC<-log(probeFC,base=2);
  result<-probeFC;

PLOD1=cbind(rownames(indata),result)
colnames(PLOD1)[1]="SYMBOL"
colnames(PLOD1)[2]="foldChange"
write.table(PLOD1, file = "PLOD1_FC.txt", sep = "\t", row.names = F,col.names = T, quote = F)

PLOD1_FC=read.table(file = "PLOD1_FC.txt",sep = "\t",header = T,check.names = F)

library(clusterProfiler)
dim(PLOD1_FC)


gene<-PLOD1_FC


geneList<-gene$foldChange 
names(geneList)=gene$SYMBOL
geneList=sort(geneList,decreasing = T) 
gmt<-read.gmt("gene_sets.gmt") 
PLOD1_GSEA<-GSEA(geneList,TERM2GENE = gmt,pvalueCutoff=1)
write.table(PLOD1_GSEA@result, file = "PLOD1_GSEA.txt", sep = "\t", row.names = F,col.names = T, quote = F)


#plod2

  
  sampleIdsCase<-which(classLabel$PLOD2=="Low");
  sampleIdsControl<-which(classLabel$PLOD2=="High");
  probeFC<-rep(0,nrow(indata))
  for(i in 1:nrow(indata))
  {
    probeFC[i]<-mean(as.numeric(as.vector(indata[i,sampleIdsCase])))/mean(as.numeric(as.vector(indata[i,sampleIdsControl])));
  }
  probeFC<-log(probeFC,base=2);
  result<-probeFC;

PLOD2=cbind(rownames(indata),result)
colnames(PLOD2)[1]="SYMBOL"
colnames(PLOD2)[2]="foldChange"
write.table(PLOD2, file = "PLOD2_FC.txt", sep = "\t", row.names = F,col.names = T, quote = F)

PLOD2_FC=read.table(file = "PLOD2_FC.txt",sep = "\t",header = T,check.names = F)

library(clusterProfiler)
dim(PLOD2_FC)


gene<-PLOD2_FC


geneList<-gene$foldChange 
names(geneList)=gene$SYMBOL
geneList=sort(geneList,decreasing = T) 
gmt<-read.gmt("gene_sets.gmt") 
PLOD2_GSEA<-GSEA(geneList,TERM2GENE = gmt,pvalueCutoff=1)
write.table(PLOD2_GSEA@result, file = "PLOD2_GSEA.txt", sep = "\t", row.names = F,col.names = T, quote = F)

#plod3

  
  sampleIdsCase<-which(classLabel$PLOD3=="Low");
  sampleIdsControl<-which(classLabel$PLOD3=="High");
  probeFC<-rep(0,nrow(indata))
  for(i in 1:nrow(indata))
  {
    probeFC[i]<-mean(as.numeric(as.vector(indata[i,sampleIdsCase])))/mean(as.numeric(as.vector(indata[i,sampleIdsControl])));
  }
  probeFC<-log(probeFC,base=2);
  result<-probeFC;

PLOD3=cbind(rownames(indata),result)
colnames(PLOD3)[1]="SYMBOL"
colnames(PLOD3)[2]="foldChange"
write.table(PLOD3, file = "PLOD3_FC.txt", sep = "\t", row.names = F,col.names = T, quote = F)

PLOD3_FC=read.table(file = "PLOD3_FC.txt",sep = "\t",header = T,check.names = F)

library(clusterProfiler)
dim(PLOD3_FC)


gene<-PLOD3_FC


geneList<-gene$foldChange 
names(geneList)=gene$SYMBOL
geneList=sort(geneList,decreasing = T) 
gmt<-read.gmt("gene_sets.gmt") 
PLOD3_GSEA<-GSEA(geneList,TERM2GENE = gmt,pvalueCutoff=1)
write.table(PLOD3_GSEA@result, file = "PLOD3_GSEA.txt", sep = "\t", row.names = F,col.names = T, quote = F)
